<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminArticlesGrid.inc.php" );

	class AdminArticlesPage extends BackendPage {
		protected $oAdminArticlesGrid;

		public function __construct( $id = "AdminArticlesPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminArticlesGrid = new AdminArticlesGrid( "AdminArticlesGrid" , $this );
		}

		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["ckedit"] ) && $g["ckedit"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminArticlesGrid->setSelector( true );
			parent::modifyGetPost( $g , $p );
		}
	}
?>
